<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class ReiterSeite
{
  
  public $reiterAry = array();

  public function getLabel($bezeichner)
  {
    return $this->reiterAry[$bezeichner]['label'];
  }

  public function getRecht($bezeichner)
  {
    return $this->reiterAry[$bezeichner]['recht'];
  }

  public function getAction($bezeichner)
  {
    return $this->reiterAry[$bezeichner]['action'];
  }

  public function getReiterKeysAry()
  {
    return array_keys($this->reiterAry);
  }

  
  public function __construct($sightId, $reiterbeschriftung = '')
  {
    switch ($sightId) {
      case 334: 
        $this->reiterAry['Kursdetails'] = array('label' => 'Kursdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.2', 'action' => 'info');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.3', 'action' => 'reiterTermine');
        $this->reiterAry['Teilnehmer'] = array('label' => 'Teilnehmer', 'recht' => $sightId . '.1.4', 'action' => 'reiterTeilnehmer');
        $this->reiterAry['Honorar'] = array('label' => 'Honorar', 'recht' => $sightId . '.1.5', 'action' => 'reiterHonorar');
        $this->reiterAry['Downloads'] = array('label' => 'Downloads', 'recht' => $sightId . '.1.6', 'action' => 'reiterDownloads');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.7', 'action' => 'reiterFotos');
        $this->reiterAry['Material'] = array('label' => 'Material', 'recht' => $sightId . '.1.8', 'action' => 'reiterMaterial');
        $this->reiterAry['Dokumente'] = array('label' => 'Dokumente', 'recht' => $sightId . '.1.9', 'action' => 'reiterDokumente');
        
        $this->reiterAry['EMails'] = array('label' => 'E-Mails', 'recht' => $sightId . '.1.10', 'action' => 'reiterEMails');
        break;
      case 335: 
      case 336: 

        if (DBWorkBASysSettings::isMDS() && $sightId == 336) {
          $this->reiterAry['Anmelden'] = array('label' => 'Anmeldungen', 'recht' => $sightId . '.1.8', 'action' => 'reiterAnmelden');
        }
        
        $this->reiterAry['Belegungsdetails'] = array('label' => '1. Seite', 'recht' => $sightId . '.1.1', 'action' => 'reiterBelegungsDetails');
        $this->reiterAry['Kursdetails'] = array('label' => 'Kursdetails', 'recht' => $sightId . '.1.2', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.3', 'action' => 'info');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.4', 'action' => 'reiterTermine');
        if ($sightId == 335) {
          $this->reiterAry['Anwesenheiten'] = array('label' => 'Anwesenheiten', 'recht' => $sightId . '.1.8', 'action' => 'reiterAnwesenheiten');
        }
        if ($sightId == 336) {
          $this->reiterAry['Mitarbeiter'] = array('label' => 'Mitarbeiter', 'recht' => $sightId . '.1.10', 'action' => 'reiterTeilnehmer');
        }
        $this->reiterAry['Downloads'] = array('label' => 'Downloads', 'recht' => $sightId . '.1.5', 'action' => 'reiterDownloads');
        if ($sightId == 335) {
          $this->reiterAry['Dokumente'] = array('label' => 'Dokumente', 'recht' => $sightId . '.1.10', 'action' => 'reiterDokumente');
        } elseif ($sightId == 336) {
          $this->reiterAry['Dokumente'] = array('label' => 'Dokumente', 'recht' => $sightId . '.1.9', 'action' => 'reiterDokumente');
        }
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.6', 'action' => 'reiterFotos');
        $this->reiterAry['Journal'] = array('label' => 'Journal', 'recht' => $sightId . '.1.7', 'action' => 'reiterJournal');

        
        if ($sightId == 335) {
          $this->reiterAry['BelegungsdetailsBearbeitbar'] = array('label' => 'Weitere Infos', 'recht' => $sightId . '.1.9', 'action' => 'belinfoBearbt');
        }
        break;
      case 337: 
        $this->reiterAry['Kursdetails'] = array('label' => 'Kursdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.2', 'action' => 'info');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.3', 'action' => 'reiterTermine');
        $this->reiterAry['Downloads'] = array('label' => 'Downloads', 'recht' => $sightId . '.1.4', 'action' => 'reiterDownloads');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.5', 'action' => 'reiterFotos');
        break;
      case 338: 
        $this->reiterAry['Kursdetails'] = array('label' => 'Seminardetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.2', 'action' => 'reiterInhalt');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.3', 'action' => 'reiterTermine');
        $this->reiterAry['Downloads'] = array('label' => 'Downloads', 'recht' => $sightId . '.1.4', 'action' => 'reiterDownloads');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.5', 'action' => 'reiterFotos');
        
        break;
      case 339: 
        $this->reiterAry['Termine'] = array('label' => 'Raumbelegung', 'recht' => $sightId . '.1.1', 'action' => 'reiterRaumTermine');
        $this->reiterAry['Kurse'] = array('label' => 'hier stattfindende Kurse', 'recht' => $sightId . '.1.2', 'action' => 'reiterKurse');
        $this->reiterAry['Raumdetails'] = array('label' => 'Raumdetails', 'recht' => $sightId . '.1.3', 'action' => 'reiterRaumDetails');
        break;
      case 341: 
        $this->reiterAry['Kursdetails'] = array('label' => 'Kursdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.2', 'action' => 'info');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.3', 'action' => 'reiterTermine');
        $this->reiterAry['Dozenten'] = array('label' => 'Dozenten', 'recht' => $sightId . '.1.4', 'action' => 'reiterDozenten');
        $this->reiterAry['Teilnehmer'] = array('label' => 'Teilnehmer', 'recht' => $sightId . '.1.5', 'action' => 'reiterTeilnehmer');
        $this->reiterAry['Material'] = array('label' => 'Material', 'recht' => $sightId . '.1.6', 'action' => 'reiterMaterial');
        break;
      case 377: 
        $this->reiterAry['Kursdetails'] = array('label' => 'Kursdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.2', 'action' => 'info');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.3', 'action' => 'reiterTermine');
        $this->reiterAry['Teilnehmer'] = array('label' => 'Teilnehmer', 'recht' => $sightId . '.1.4', 'action' => 'reiterTeilnehmer');
        $this->reiterAry['Honorar'] = array('label' => 'Honorar', 'recht' => $sightId . '.1.5', 'action' => 'reiterHonorar');
        $this->reiterAry['Dozenten'] = array('label' => 'Dozenten', 'recht' => $sightId . '.1.8', 'action' => 'reiterDozenten');
        $this->reiterAry['Downloads'] = array('label' => 'Downloads', 'recht' => $sightId . '.1.6', 'action' => 'reiterDownloads');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.7', 'action' => 'reiterFotos');
        $this->reiterAry['Material'] = array('label' => 'Material', 'recht' => $sightId . '.1.9', 'action' => 'reiterMaterial');
        $this->reiterAry['EMails'] = array('label' => 'E-Mails', 'recht' => $sightId . '.1.10', 'action' => 'reiterEMails');
        break;
      case 397: 
        $this->reiterAry['Dozentendetails'] = array('label' => 'Dozentendetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterDozentenDetails');
 
 
        $this->reiterAry['Kurse'] = array('label' => 'Kurse', 'recht' => $sightId . '.1.3', 'action' => 'reiterKurse');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.4', 'action' => 'reiterFotos');
        break;
      case 410: 
        $this->reiterAry['Adressdetails'] = array('label' => 'Adressdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterAdressdetails');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.3', 'action' => 'reiterFotos');
        break;
      case 411: 
        $this->reiterAry['Teilnehmerdetails'] = array('label' => 'Teilnehmerdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterTeilnehmerDetails');
        $this->reiterAry['belegteKurse'] = array('label' => 'belegte Kurse', 'recht' => $sightId . '.1.2', 'action' => 'reiterBelegteKurse');
        $this->reiterAry['Qualifikationen'] = array('label' => 'Qualifikationen', 'recht' => $sightId . '.1.3', 'action' => 'reiterQualifikationen');
        $this->reiterAry['Bankverbindungen'] = array('label' => 'Bankverbindungen', 'recht' => $sightId . '.1.4', 'action' => 'reiterBankverbindungen');
        break;
      case 417: 
        $this->reiterAry['Termine'] = array('label' => 'Raumbelegung', 'recht' => $sightId . '.1.1', 'action' => 'reiterRaumTermine');
        $this->reiterAry['Kurse'] = array('label' => 'hier stattfindende Kurse', 'recht' => $sightId . '.1.2', 'action' => 'reiterKurse');
        $this->reiterAry['Raumdetails'] = array('label' => 'Raumdetails', 'recht' => $sightId . '.1.3', 'action' => 'reiterRaumDetails');
        break;
      case 527: 
        $this->reiterAry['Info'] = array('label' => 'Info', 'recht' => $sightId . '.1.1', 'action' => 'reiterInfo');
        $this->reiterAry['Registrierungen'] = array('label' => 'Registrierungen', 'recht' => $sightId . '.1.2', 'action' => 'reiterRegistrierungen');
        $this->reiterAry['Kurse'] = array('label' => 'Kurse', 'recht' => $sightId . '.1.3', 'action' => 'reiterKurse');
        break;
      case 49: 
        $this->reiterAry['Kursdetails'] = array('label' => 'Kursdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.2', 'action' => 'info');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.3', 'action' => 'reiterTermine');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.4', 'action' => 'reiterFotos');
        break;
      case 632:
        $this->reiterAry['Kursdetails'] = array('label' => 'Kursdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.2', 'action' => 'info');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.3', 'action' => 'reiterTermine');
        $this->reiterAry['Teilnehmer'] = array('label' => 'Teilnehmer', 'recht' => $sightId . '.1.4', 'action' => 'reiterTeilnehmer');
        $this->reiterAry['Honorar'] = array('label' => 'Honorar', 'recht' => $sightId . '.1.5', 'action' => 'reiterHonorar');
        $this->reiterAry['Dozenten'] = array('label' => 'Dozenten', 'recht' => $sightId . '.1.8', 'action' => 'reiterDozenten');
        $this->reiterAry['Downloads'] = array('label' => 'Downloads', 'recht' => $sightId . '.1.6', 'action' => 'reiterDownloads');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.7', 'action' => 'reiterFotos');
        $this->reiterAry['Material'] = array('label' => 'Material', 'recht' => $sightId . '.1.9', 'action' => 'reiterMaterial');
        break;
      case 640:
        $this->reiterAry['Kursdetails'] = array('label' => 'Kursdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.2', 'action' => 'info');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.3', 'action' => 'reiterTermine');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.4', 'action' => 'reiterFotos');
        break;
      case 654: 
        $this->reiterAry['Dozentendetails'] = array('label' => 'Dozentendetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterDozentenDetails');
        $this->reiterAry['Kurse'] = array('label' => 'Kurse', 'recht' => $sightId . '.1.3', 'action' => 'reiterKurse');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.4', 'action' => 'reiterFotos');
        break;
      case 687: 
        $this->reiterAry['Teilnehmerdetails'] = array('label' => 'Teilnehmerdetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterTeilnehmerDetails');
        $this->reiterAry['belegteKurse'] = array('label' => 'belegte Kurse', 'recht' => $sightId . '.1.2', 'action' => 'reiterBelegteKurse');
        $this->reiterAry['Qualifikationen'] = array('label' => 'Qualifikationen', 'recht' => $sightId . '.1.3', 'action' => 'reiterQualifikationen');
        $this->reiterAry['Bankverbindungen'] = array('label' => 'Bankverbindungen', 'recht' => $sightId . '.1.4', 'action' => 'reiterBankverbindungen');
        break;
      case 699: 
        $this->reiterAry['Dozentendetails'] = array('label' => 'Dozentendetails', 'recht' => $sightId . '.1.1', 'action' => 'reiterDozentenDetails');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.2', 'action' => 'reiterFotos');
        break;
      case 722: 
        
        $this->reiterAry['Belegungsdetails'] = array('label' => '1. Seite', 'recht' => $sightId . '.1.1', 'action' => 'reiterBelegungsDetails');
        $this->reiterAry['Kursdetails'] = array('label' => 'Kursdetails', 'recht' => $sightId . '.1.2', 'action' => 'reiterKursDetails');
        $this->reiterAry['Inhalt'] = array('label' => 'Inhalt', 'recht' => $sightId . '.1.3', 'action' => 'info');
        $this->reiterAry['Termine'] = array('label' => 'Termine', 'recht' => $sightId . '.1.4', 'action' => 'reiterTermine');
        $this->reiterAry['Downloads'] = array('label' => 'Downloads', 'recht' => $sightId . '.1.5', 'action' => 'reiterDownloads');
        $this->reiterAry['Fotos'] = array('label' => 'Fotos', 'recht' => $sightId . '.1.6', 'action' => 'reiterFotos');
        $this->reiterAry['Journal'] = array('label' => 'Journal', 'recht' => $sightId . '.1.7', 'action' => 'reiterJournal');
        break;
    }

    
    $this->setBezeichnungFromSettings($reiterbeschriftung);
  }

  
  public function setBezeichnungFromSettings($reiterbeschriftung)
  {
    if ($reiterbeschriftung != '') {
      
      $reiterObjAry = explode('[-]', $reiterbeschriftung);
      foreach ($reiterObjAry as $reiterObj) {
        
        $reiter = explode('[:]', $reiterObj);

        if (isset($this->reiterAry[$reiter[0]], $reiter[1]) && !empty($reiter[1])) {
          $this->reiterAry[$reiter[0]]['label'] = $reiter[1];
        }
      }
    }
  }

  
  public function getReiterSeiteZentraleEinstellungen()
  {
    $infoButton = MenuEinstell::getInfoPopUp('Wird ein Reiter ohne Beschriftung gespeichert, '
      . 'so wird die Beschriftung auf eine Standardbeschriftung gesetzt.', 'Hinweis zur Reiterbeschriftung');

    $result = '';
    $result .= '<span class="text_main_menu"><b>Beschriftung für die Reiter:</b>' . $infoButton . '</span>' . BR_WT . BR_WT;

    foreach ($this->reiterAry as $reiterName => $reiter) {
      $result .= '<div class="ze_reiter_div">';
      $result .= '<label for="' . $reiterName . '"><span class="text_main_menu">' . $reiterName . ':</span></label>';
      $result .= '<input id="' . $reiterName . '" name="' . $reiterName . '" value="' . $this->getLabel($reiterName) . '" class="ze_reiter_input">';
      $result .= '</div>';
    }

    return $result;
  }

  
  public function getPostToSettingsString()
  {
    $result = '';
    foreach ($this->reiterAry as $reiter => $bezeichnung) {
      $result .= $reiter . '[:]';
      $result .= PostOperations::getVarValue($reiter) . '[-]';
    }

    return $result;
  }
}